Loading...
Searching...
No Matches
pcl::registration::WarpPointRigid3D< PointSourceT, PointTargetT, Scalar > Class Template Reference
Module registration

WarpPointRigid3D enables 3D (1D rotation + 2D translation) transformations for points. More...

`#include <pcl/registration/warp_point_rigid_3d.h>`

Inheritance diagram for pcl::registration::WarpPointRigid3D< PointSourceT, PointTargetT, Scalar >:

## Public Types

using | Matrix4 = typename WarpPointRigid< PointSourceT, PointTargetT, Scalar >::Matrix4
using | VectorX = typename WarpPointRigid< PointSourceT, PointTargetT, Scalar >::VectorX
using | Ptr = shared_ptr< WarpPointRigid3D< PointSourceT, PointTargetT, Scalar > >
using | ConstPtr = shared_ptr< const WarpPointRigid3D< PointSourceT, PointTargetT, Scalar > >
Public Types inherited from pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >
using | Matrix4 = Eigen::Matrix< Scalar, 4, 4 >
using | VectorX = Eigen::Matrix< Scalar, Eigen::Dynamic, 1 >
using | Vector4 = Eigen::Matrix< Scalar, 4, 1 >
using | Ptr = shared_ptr< WarpPointRigid< PointSourceT, PointTargetT, Scalar > >
using | ConstPtr = shared_ptr< const WarpPointRigid< PointSourceT, PointTargetT, Scalar > >

## Public Member Functions

| WarpPointRigid3D ()
| Constructor.
| ~WarpPointRigid3D () override=default
| Empty destructor.
void | setParam (const VectorX &p) override
| Set warp parameters.
Public Member Functions inherited from pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >
| WarpPointRigid (int nr_dim)
| Constructor.
virtual | ~WarpPointRigid ()=default
| Destructor.
void | warpPoint (const PointSourceT &pnt_in, PointSourceT &pnt_out) const
| Warp a point given a transformation matrix.
void | warpPoint (const PointSourceT &pnt_in, Vector4 &pnt_out) const
| Warp a point given a transformation matrix.
int | getDimension () const
| Get the number of dimensions.
const Matrix4 & | getTransform () const
| Get the Transform used.

## Additional Inherited Members

Protected Attributes inherited from pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >
int | nr_dim_
Matrix4 | transform_matrix_

## Detailed Description

template<typename PointSourceT, typename PointTargetT, typename Scalar = float>
class pcl::registration::WarpPointRigid3D< PointSourceT, PointTargetT, Scalar >

WarpPointRigid3D enables 3D (1D rotation + 2D translation) transformations for points.

Note
  The class is templated on the source and target point types as well as on the output scalar of the transformation matrix (i.e., float or double). Default: float.

Author
  Radu B. Rusu

Definition at line 56 of file warp_point_rigid_3d.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

using pcl::registration::WarpPointRigid3D< PointSourceT, PointTargetT, Scalar >::ConstPtr = shared_ptr<const WarpPointRigid3D<PointSourceT, PointTargetT, Scalar> >

Definition at line 62 of file warp_point_rigid_3d.h.

## Matrix4

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

using pcl::registration::WarpPointRigid3D< PointSourceT, PointTargetT, Scalar >::Matrix4 = typename WarpPointRigid<PointSourceT, PointTargetT, Scalar>::Matrix4

Definition at line 58 of file warp_point_rigid_3d.h.

## Ptr

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

using pcl::registration::WarpPointRigid3D< PointSourceT, PointTargetT, Scalar >::Ptr = shared_ptr<WarpPointRigid3D<PointSourceT, PointTargetT, Scalar> >

Definition at line 61 of file warp_point_rigid_3d.h.

## VectorX

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

using pcl::registration::WarpPointRigid3D< PointSourceT, PointTargetT, Scalar >::VectorX = typename WarpPointRigid<PointSourceT, PointTargetT, Scalar>::VectorX

Definition at line 59 of file warp_point_rigid_3d.h.

## Constructor & Destructor Documentation

## WarpPointRigid3D()

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

pcl::registration::WarpPointRigid3D< PointSourceT, PointTargetT, Scalar >::WarpPointRigid3D | ( |  | ) |

inline

Constructor.

Definition at line 66 of file warp_point_rigid_3d.h.

## ~WarpPointRigid3D()

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

pcl::registration::WarpPointRigid3D< PointSourceT, PointTargetT, Scalar >::~WarpPointRigid3D | ( |  | ) |

override default

Empty destructor.

## Member Function Documentation

## setParam()

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

void pcl::registration::WarpPointRigid3D< PointSourceT, PointTargetT, Scalar >::setParam | ( | const VectorX & | p | ) |

inline override virtual

Set warp parameters.

Parameters

  [in] | p | warp parameters (tx ty rz)

Implements pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >.

Definition at line 75 of file warp_point_rigid_3d.h.

References pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::transform_matrix_.

The documentation for this class was generated from the following file:

- pcl/registration/warp_point_rigid_3d.h